opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | List of all members
cv::AdjusterAdapter Class Referenceabstract

A feature detector parameter adjuster, this is used by the DynamicAdaptedFeatureDetector and is a wrapper for FeatureDetector that allow them to be adjusted after a detection. More...

`#include <features2d.hpp>`

Inheritance diagram for cv::AdjusterAdapter:

## Public Member Functions
virtual bool | good () const =0
virtual void | tooFew (int min, int n_detected)=0
virtual void | tooMany (int max, int n_detected)=0
virtual | ~AdjusterAdapter ()
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()

## Static Public Member Functions
static Ptr< AdjusterAdapter > | create (const string &detectorType)
Static Public Member Functions inherited from cv::FeatureDetector
static Ptr< FeatureDetector > | create (const string &detectorType)

## Additional Inherited Members
Protected Member Functions inherited from cv::FeatureDetector
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const =0
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Detailed Description

A feature detector parameter adjuster, this is used by the DynamicAdaptedFeatureDetector and is a wrapper for FeatureDetector that allow them to be adjusted after a detection.

## Constructor & Destructor Documentation

virtual cv::AdjusterAdapter::~AdjusterAdapter | ( |  | ) |
| inline virtual

pure virtual interface

## Member Function Documentation

static Ptr<AdjusterAdapter> cv::AdjusterAdapter::create | ( | const string & | detectorType | ) |
| static

virtual bool cv::AdjusterAdapter::good | ( |  | ) | const
| pure virtual

are params maxed out or still valid?

Returns
  false if the parameters can't be adjusted any more

Implemented in cv::SurfAdjuster, cv::StarAdjuster, and cv::FastAdjuster.

virtual void cv::AdjusterAdapter::tooFew | ( | int | min,
|  | int | n_detected
| ) |  |
| pure virtual

too few features were detected so, adjust the detector params accordingly

Parameters

  min | the minimum number of desired features
  n_detected | the number previously detected

Implemented in cv::SurfAdjuster, cv::StarAdjuster, and cv::FastAdjuster.

virtual void cv::AdjusterAdapter::tooMany | ( | int | max,
|  | int | n_detected
| ) |  |
| pure virtual

too many features were detected so, adjust the detector params accordingly

Parameters

  max | the maximum number of desired features
  n_detected | the number previously detected

Implemented in cv::SurfAdjuster, cv::StarAdjuster, and cv::FastAdjuster.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp